
# the bin programs to be made in this directory

SUBDIRS = gift-config gift-mrml-messages

data_DATA= gift-config gift-mrml-messages

bin_PROGRAMS = gift gift-endianize gift-generate-inverted-file gift-modify-distance-matrix gift-one-minus

# generateDistanceMatrix
# should be generated, too, but
# at present this file is not maintained.
# it is not necessary for running the basic version of gift

# include directories for all programs in this dir

INCLUDES = -I$(top_srcdir)/libInvertedFile/include -I$(top_srcdir)/libBayesian/include -I$(srcdir) -I../expat/xmlparse -I../expat/xmltok

# the gift server

gift_LDADD = ../expat/xmlparse/*.o ../expat/xmltok/*.o  -L../libInvertedFile/cc -L../libUnpublished/cc -L../libBayesian/cc -lInvertedFile   @UNPUBLISHED@ @BAYESIAN@ @PERL_LD_ADD@

#`echo $LDFLAGS \`perl -MExtUtils::Embed -e ldopts  \`|sed 's:-Dbool=char::'` 


gift_SOURCES = CCommunicationHandler.cc Server.cc

# generate inverted file

gift_generate_inverted_file_LDADD = -L../libInvertedFile/cc -L../libBayesian/cc -L../libUnpublished/cc -lInvertedFile @BAYESIAN@ 
gift_generate_inverted_file_LDFLAGS = ../expat/xmlparse/*.o ../expat/xmltok/*.o

gift_generate_inverted_file_SOURCES=generateInvertedFile.cc


# change the "endianicity" 
# (useful when exchanging files across a heterogeneous network)
# relies on files consisting of 4-byte-variables only
gift_endianize_SOURCES = endianize.cc

# Generate a distance matrix from a given database
# (this is needed for the scheme in libBayesian.
# we suggest this for research only. it was mainly
# for having a reasonably fast experimental platform
# that I (WM) did this.
# generateDistanceMatrix_SOURCES = generateDistanceMatrix.cc
# generateDistanceMatrix_LDADD = -L../libInvertedFile/cc -L../libBayesian/cc -lInvertedFile @BAYESIAN@  

# symmetrify raw distance matrix (or things like that)
gift_modify_distance_matrix_SOURCES = modifyDistanceMatrix.cc


# for curing sign (+-) errors in the distance matrix. 
# it reads a sequence of floats and puts out 
# (1-x) for each float x read
# YESSIR, this is a HACK. 
gift_one_minus_SOURCES = oneMinus.cc





# DO NOT DELETE THIS LINE -- make depend depends on it.
